#ifndef __XMLIO__
#define __XMLIO__

/// Entêtes STL ///
#include <utility>
#include <string>

#include <vector>
#include <deque>

#include <iostream>
#include <fstream>

/// Entêtes Poco ///
#include <Poco/Exception.h>
#include <Poco/HashMap.h>
#include <Poco/Hash.h>

/// Entête Blitz array ///
#include <blitz/array.h>

/// Entêtes créés dans le cadre du projet XMLIOSERVER. ///
#include "xmlio_exception.hpp"
#include "xmlio_logger.hpp"
#include "xmlio_container.hpp"

// Concernant les attributs ...

#include "xmlio_object.hpp"
#include "xmlio_xml_node.hpp"
#include "xmlio_object_template.hpp"
#include "field_attribut.hpp"
#include "field.hpp"      
#include "xmlio_group_template.hpp"      
#include "field_group.hpp"      
#include "context.hpp"
#include "xmlio_xml_parser.hpp" 


#endif // __XMLIO__ 
